All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.commands.jdbc.export
Class ExportToHTMLCommand

    com.sas.servlet.commands.jdbc.export.ExportToHTMLCommand

All Implemented Interfaces:
  DynamicAttributeCommandInterface, RelationalExportCommandInterface, RelationalExportCommandV2Interface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class ExportToHTMLCommand

Command to export to MS Excel non multidimensional data as HTML text.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Examples for this class may be found on the Examples Site.

Since:
  3.1

Field Summary
`protected com.sas.util.log.CommonLoggerInterface` | `log`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`ExportToHTMLCommand()`

Method Summary
`void` | `execute(java.lang.Object o, int startRow, int nRows, boolean isRawData)` Executes the command
`void` | `execute(java.lang.Object o, int startRow, int nRows, boolean isRawData, int[] columns, java.lang.String[] headers, java.lang.String[] footers)` Executes the command

Methods inherited from class com.sas.servlet.commands.jdbc.export.BaseRelationalExportCommand
`execute, execute, execute`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### log

    protected com.sas.util.log.CommonLoggerInterface log

Constructor Detail

### ExportToHTMLCommand

    public ExportToHTMLCommand()

Method Detail

### execute

    public void execute(java.lang.Object o,
                        int startRow,
                        int nRows,
                        boolean isRawData)

  Description copied from interface: `RelationalExportCommandInterface`
  Executes the command

  Specified by:
    `execute` in interface `RelationalExportCommandInterface`
  Specified by:
    `execute` in class `BaseRelationalExportCommand`
  Parameters:
    `o` - the output object where to write the exported data to (example a `ServletResponse` or a `Writer`)
    `startRow` - the index (in the model) of the first row of data to export
    `nRows` - the number of rows of data to export
    `isRawData` - true if non formatted data have to be exported, false if formatted data have to be exported

### execute

    public void execute(java.lang.Object o,
                        int startRow,
                        int nRows,
                        boolean isRawData,
                        int[] columns,
                        java.lang.String[] headers,
                        java.lang.String[] footers)

  Description copied from interface: `RelationalExportCommandV2Interface`
  Executes the command

  Specified by:
    `execute` in interface `RelationalExportCommandV2Interface`
  Specified by:
    `execute` in class `BaseRelationalExportCommand`
  Parameters:
    `o` - the output object where to write the exported data to (example a `ServletResponse` or a `Writer`)
    `startRow` - the index (in the model) of the first row of data to export
    `nRows` - the number of rows of data to export
    `isRawData` - true if non formatted data have to be exported, false if formatted data have to be exported
    `columns` - the indexes (in the data model) of the columns to export, if null it will export all the columns in the data model
    `headers` - the headers to export above the data, each header on a separate row
    `footers` - the footers to export below the data, each footer on a separate row

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.